Skip to main content
GET
/
v1
/
webhooks
/
{webhook_id}
Get a webhook subscription
curl --request GET \
  --url https://api.topcalls.ai/v1/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topcalls.ai/v1/webhooks/{webhook_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topcalls.ai/v1/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event": "call.completed.booked_callback",
  "url": "<string>",
  "filters": {},
  "deleted_at": "2023-11-07T05:31:56Z",
  "created_by_api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z"
}
{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}
{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}
{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Path Parameters

webhook_id
string<uuid>
required

Webhook subscription UUID

Response

Webhook subscription

id
string<uuid>
account_id
string<uuid>
event
string
Example:

"call.completed.booked_callback"

url
string<uri>
filters
object
deleted_at
string<date-time> | null
created_by_api_key_id
string<uuid> | null
created_at
string<date-time>